> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useconquest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get activity

> Get an activity from your workspace



## OpenAPI

````yaml GET /v1/activities/{activityId}
openapi: 3.0.1
info:
  title: Conquest Documentation
  description: Conquest API Reference - Members
  version: 1.0.0
servers:
  - url: https://api.useconquest.com
security: []
paths:
  /v1/activities/{activityId}:
    get:
      description: Get an activity from your workspace
      parameters:
        - in: path
          name: activityId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Activity'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
      security:
        - bearerAuth: []
components:
  schemas:
    Activity:
      type: object
      properties:
        activity:
          type: object
          properties:
            id:
              type: string
              format: uuid
            externalId:
              type: string
            title:
              type: string
            message:
              type: string
            replyTo:
              type: string
            reactTo:
              type: string
            inviteTo:
              type: string
            source:
              type: string
              example: Api
            activityTypeId:
              type: string
              format: uuid
            channelId:
              type: string
              format: uuid
              nullable: true
            eventId:
              type: string
              format: uuid
              nullable: true
            memberId:
              type: string
              format: uuid
            workspaceId:
              type: string
              format: uuid
            createdAt:
              type: string
              format: date-time
            updatedAt:
              type: string
              format: date-time
    error.BAD_REQUEST:
      type: object
      example:
        code: BAD_REQUEST
        error: Invalid request
    error.UNAUTHORIZED:
      type: object
      example:
        code: UNAUTHORIZED
        error: Authentication failed
    error.NOT_FOUND:
      type: object
      example:
        code: NOT_FOUND
        error: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````